Bug 1210430 - Review Request: yumex-dnf - graphical package manager powered by dnf
Summary: Review Request: yumex-dnf - graphical package manager powered by dnf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-09 17:16 UTC by Tim Lauridsen
Modified: 2016-08-14 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-14 15:37:21 UTC
Type: ---
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tim Lauridsen 2015-04-09 17:16:34 UTC
Spec URL: https://timlau.fedorapeople.org/files/packages/yumex-dnf/yumex-dnf.spec
SRPM URL: https://timlau.fedorapeople.org/files/packages/yumex-dnf/yumex-dnf-4.0.10-1.fc22.src.rpm
Description: graphical package manager powered by dnf
Fedora Account System Username: timlau

Comment 1 Florian "der-flo" Lehner 2015-04-10 10:05:38 UTC
Hi Tim!

There are a few errors.

Rpmlint
-------
Checking: yumex-dnf-4.0.10-1.fc23.noarch.rpm
          yumex-dnf-4.0.10-1.fc23.src.rpm
yumex-dnf.noarch: W: incoherent-version-in-changelog 4.0.9 ['4.0.10-1.fc23', '4.0.10-1']
yumex-dnf.noarch: E: incorrect-fsf-address /usr/bin/yumex-dnf
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/__init__.py
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/gui/widgets.py
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/gui/views.py
yumex-dnf.noarch: E: incorrect-fsf-address /usr/share/doc/yumex-dnf/COPYING
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/const.py
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/dnf_backend.py
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/backend.py
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/gui/dialogs.py
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/misc.py
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/gui/__init__.py
yumex-dnf.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/yumex-dnf/README.md
yumex-dnf.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/yumex/status.py
yumex-dnf.noarch: E: incorrect-fsf-address /usr/share/yumex-dnf/dbus_status.py
yumex-dnf.noarch: W: no-manual-page-for-binary yumex-dnf
yumex-dnf.src: E: specfile-error warning: bogus date in %changelog: Tue Apr 9 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.0.9
2 packages and 0 specfiles checked; 14 errors, 3 warnings.

[ ] Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

[!] Uses parallel make %{?_smp_mflags} macro.


Cheers,
 Florian

Comment 2 Tim Lauridsen 2015-04-11 07:02:36 UTC
Thanks for reviewing !

Spec URL: https://timlau.fedorapeople.org/files/packages/yumex-dnf/yumex-dnf.spec
SRPM URL:https://timlau.fedorapeople.org/files/packages/yumex-dnf/yumex-dnf-4.0.10-2.fc22.src.rpm

fixed rpmlint errors, make flags and Using both %{buildroot} and $RPM_BUILD_ROOT

Comment 3 Tim Lauridsen 2015-04-11 07:24:32 UTC
koji scratchbuid:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9461220

Comment 4 Florian "der-flo" Lehner 2015-04-11 09:50:20 UTC
Hi Tim!

There are still issues:

[ ] Sources used to build the package match the upstream source, as provided in
    the spec URL.
    See: http://fedoraproject.org/wiki/Packaging/SourceURL

    Only in /home/flo/review/1210430-yumex-dnf/srpm-unpacked/yumex-dnf-4.0.10.tar.gz-extract: yumex-dnf-4.0.10
    Only in /home/flo/review/1210430-yumex-dnf/upstream-unpacked/Source0: yumex-dnf-yumex-dnf-4.0.10
    Source checksums
    ----------------
    https://github.com/timlau/yumex-dnf/archive/yumex-dnf-4.0.10.tar.gz :
    CHECKSUM(SHA256) this package     : d7822fcb50821a4d1ae5d3bf2a9672f1f5493caf69f5260d0af15409a41f4d85
    CHECKSUM(SHA256) upstream package : 3f720e90e02cad75939f196e00ece5b3b57932f9d627b0bddf288519fbc31e9c

[ ] incoherent-version-in-changelog
    It should look something like:
    * Thu Apr 9 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.0.10-3

Cheers,
 Florian

Comment 5 Tim Lauridsen 2015-04-11 10:42:17 UTC
Spec URL: https://timlau.fedorapeople.org/files/packages/yumex-dnf/yumex-dnf.spec
SRPM URL: https://timlau.fedorapeople.org/files/packages/yumex-dnf/yumex-dnf-4.0.10-3.fc22.src.rpm

- forgot to update upstream source, done now, so checksums should match now
- fixed incoherent-version-in-changelog

Comment 6 Florian "der-flo" Lehner 2015-04-11 12:46:21 UTC
Hi Tim!

Looks good :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated". 2 files have unknown license.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/cmn,
     /usr/share/locale/cmn/LC_MESSAGES
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/cmn,
     /usr/share/dbus-1, /usr/share/locale/cmn/LC_MESSAGES,
     /usr/share/dbus-1/services
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/icons/hicolor/scalable/apps(hicolor-icon-theme, fedora-logos),
     /usr/share/icons/hicolor(hicolor-icon-theme, fedora-logos),
     /usr/share/icons/hicolor/48x48(hicolor-icon-theme, fedora-logos),
     /usr/share/icons/hicolor/scalable(hicolor-icon-theme, fedora-logos),
     /usr/share/icons/hicolor/48x48/apps(hicolor-icon-theme, fedora-logos)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in yumex-dnf
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in yumex-dnf
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=9461838
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: yumex-dnf-4.0.10-3.fc23.noarch.rpm
          yumex-dnf-4.0.10-3.fc23.src.rpm
yumex-dnf.noarch: W: no-manual-page-for-binary yumex-dnf
2 packages and 0 specfiles checked; 0 errors, 1 warning.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
yumex-dnf (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    python(abi)
    python3-cairo
    python3-dbus
    python3-dnfdaemon
    python3-gobject
    python3-pyxdg



Provides
--------
yumex-dnf:
    appdata()
    appdata(yumex-dnf.appdata.xml)
    application()
    application(yumex-dnf-local.desktop)
    application(yumex-dnf.desktop)
    mimehandler(application/x-redhat-package-manager)
    mimehandler(application/x-rpm)
    yumex-dnf



Source checksums
----------------
https://github.com/timlau/yumex-dnf/releases/download/yumex-dnf-4.0.10/yumex-dnf-4.0.10.tar.gz :
  CHECKSUM(SHA256) this package     : 4621d42af445f366e2a6c2e2d3626901ae6ebefe1098104d5d944cc1c0c0af67
  CHECKSUM(SHA256) upstream package : 4621d42af445f366e2a6c2e2d3626901ae6ebefe1098104d5d944cc1c0c0af67


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1210430
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 7 Tim Lauridsen 2015-04-12 06:27:18 UTC
Thanks a lot, your you have any packages needing review now or in the future, then just let me know.

Comment 8 Tim Lauridsen 2015-04-12 06:32:58 UTC
New Package SCM Request
=======================
Package Name: yumex-dnf
Short Description: Graphical package tool for maintain packages on the system
Upstream URL: https://github.com/timlau/yumex-dnf
Owners: timlau
Branches: f21 f22 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2015-04-12 15:11:53 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.